### Hierarchy

- IGraphJson

## Index

### Properties

- brackets
- collisionLayers
- colors
- commands
- levels
- metadata
- neighbors
- ruleDefinitions
- rules
- sounds
- sprites
- tiles
- tilesWithModifiers
- title
- version
- winConditions

## Properties

### brackets

brackets: object

- Defined in parser/serializer.ts:795

#### Type declaration

- ##### [key: string]: ast.Bracket<NeighborId>

### collisionLayers

collisionLayers: object

- Defined in parser/serializer.ts:788

#### Type declaration

- ##### [key: string]: ISourceNode

### colors

colors: object

- Defined in parser/serializer.ts:786

#### Type declaration

- ##### [key: string]: string

### commands

commands: object

- Defined in parser/serializer.ts:789

#### Type declaration

- ##### [key: string]: ast.Command<SoundId>

### levels

levels: Array<ast.Level<TileId>>

- Defined in parser/serializer.ts:798

### metadata

metadata: IGraphGameMetadata

- Defined in parser/serializer.ts:785

### neighbors

neighbors: object

- Defined in parser/serializer.ts:794

#### Type declaration

- ##### [key: string]: ast.Neighbor<TileWithModifierId>

### ruleDefinitions

ruleDefinitions: object

- Defined in parser/serializer.ts:796

#### Type declaration

- ##### [key: string]: ast.Rule<RuleId, RuleId, BracketId, CommandId>

### rules

rules: RuleId[]

- Defined in parser/serializer.ts:797

### sounds

sounds: object

- Defined in parser/serializer.ts:787

#### Type declaration

- ##### [key: string]: IGraphSound

### sprites

sprites: object

- Defined in parser/serializer.ts:790

#### Type declaration

- ##### [key: string]: IGraphSprite

### tiles

tiles: object

- Defined in parser/serializer.ts:791

#### Type declaration

- ##### [key: string]: GraphTile

### tilesWithModifiers

tilesWithModifiers: object

- Defined in parser/serializer.ts:793

#### Type declaration

- ##### [key: string]: ast.TileWithModifier<RULE_DIRECTION, TileId>

### title

title: string

- Defined in parser/serializer.ts:784

### version

version: number

- Defined in parser/serializer.ts:783

### winConditions

winConditions: Array<ast.WinCondition<TileId>>

- Defined in parser/serializer.ts:792

Generated using TypeDoc